kinput2 (3.1-14build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:50:17 +0000

kinput2 (3.1-14) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format.

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 19:00:06 +0100

kinput2 (3.1-13.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 16:10:22 +0200

kinput2 (3.1-13) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to getline() (closes: #808493).
  * Apply a patch by ishikawa to fix a bunch of uninitialized memory uses
    and buffer overflows (closes: #690827).
  * Improve short descriptions.
  * Make debian/rules more up-to-date (debhelper 9, dh_prep, build-arch).
  * Pass dpkg-buildflags.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 12 Feb 2016 11:09:01 +0100

kinput2 (3.1-12) unstable; urgency=low

  * QA upload.
  * Drop unnecessary libxp-dev build-dependency (closes: #623664).
  * Add Italian debconf translation (closes: #714008).

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Oct 2013 11:14:16 +0100

kinput2 (3.1-11) unstable; urgency=low

  * Set the Maintainer field to Debian QA Group.

 -- Keita Maehara <maehara@debian.org>  Tue, 02 Jul 2013 01:55:25 +0900

kinput2 (3.1-10.4) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate to im-config to allow announced im-switch removal for
    jessie. Closes: #651524

 -- Osamu Aoki <osamu@debian.org>  Mon, 01 Jul 2013 23:46:51 +0900

kinput2 (3.1-10.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #628217
    - Polish (Michał Kułach).  Closes: #658604

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Feb 2012 07:17:47 +0100

kinput2 (3.1-10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add a missing build-dependency on xutils-dev (Closes: #527734).
  * B-Depend on x11proto-core-dev instead of x-dev (Closes: #515476).
  * Upgrade watch file (Closes: #529122).
  * Add a dependency on misc:Depends for kinput2-common
  * Include Spanish Debconf translation (Closes: #503335).

 -- Raphael Geissert <geissert@debian.org>  Wed, 08 Jul 2009 01:24:36 -0500

kinput2 (3.1-10.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #412864
    - Dutch. Closes: #413881
    - Portuguese. Closes: #432905
    - Finnish. Closes: #469373
    - Russian. Closes: #470793
    - Brazilian Portuguese. Closes: #473183
  * [Lintian] Use "Applications/System/Administration" to better fit with 
    the "new" Debian menu layout
  * [Lintian] No longer ignore errors from "make clean"
  * [Lintian] No longer set DH_COMPAT in debian/rules. Use debian/compat
    instead

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Mar 2008 14:29:07 +0200

kinput2 (3.1-10) unstable; urgency=low

  * Updated Standards-Version to 3.7.2.
  * Updated the debhelper compatibility level to 5.
  * Added Vietnamese translation for debconf (closes: Bug#312169).
  * Added German translation for debconf (closes: Bug#399147).

 -- Keita Maehara <maehara@debian.org>  Sat,  9 Dec 2006 12:49:13 +0900

kinput2 (3.1-9) unstable; urgency=low

  * Removed libxaw8-dev from Build-Depends (closes: Bug#365404).

 -- Keita Maehara <maehara@debian.org>  Sun, 30 Apr 2006 09:28:13 +0900

kinput2 (3.1-8) unstable; urgency=low

  * Rebuilt against libxaw7 (closes: Bug#364793).

 -- Keita Maehara <maehara@debian.org>  Sat, 29 Apr 2006 11:20:50 +0900

kinput2 (3.1-7) unstable; urgency=low

  * Replaced xlibs-dev with the individual packages (closes:
    Bug#347008).

 -- Keita Maehara <maehara@debian.org>  Sun, 15 Jan 2006 10:49:17 +0900

kinput2 (3.1-6) unstable; urgency=low

  * Updated to Standards-Version: 3.6.2.
  * Fixed debconf dependency (closes: Bug#331878).
  * Added Czech translation for debconf (closes: Bug#318151).
  * Added Swedish translation for debconf (closes: Bug#331544).
  * Added dependency on libxaw8-dev.
  * Now uses quoted strings in menu items.

 -- Keita Maehara <maehara@debian.org>  Sun, 20 Nov 2005 02:36:27 +0900

kinput2 (3.1-5) unstable; urgency=low

  * Added im-switch support (closes: Bug#314456, thanks to Kenshi Muto).

 -- Keita Maehara <maehara@debian.org>  Thu, 16 Jun 2005 22:11:13 +0900

kinput2 (3.1-4) unstable; urgency=low

  * Switched to gettext-based debconf templates and updated French
    translation (closes: Bug#201236).

 -- Keita Maehara <maehara@debian.org>  Thu,  8 Apr 2004 23:31:10 +0900

kinput2 (3.1-3) unstable; urgency=low

  * Now following X resources are set to false by default to deal with the
    input focus problem (taken from SuSE's kinput2.app-defaults.patch,
    thanks to Akira TAGOH).
      - *SeparateConversion.input
      - *selectionShell.input
      - *auxShell.input
  * Now the default jserver host is set to localhost by X resource
    *CcWnn.Jserver.

 -- Keita Maehara <maehara@debian.org>  Sat, 26 Apr 2003 22:59:55 +0900

kinput2 (3.1-2) unstable; urgency=low

  * Moved debconf template kinput2-common/defaults/keybindings to
    shared/kinput2/wnn/keybindings since it's Wnn specific.

 -- Keita Maehara <maehara@debian.org>  Sun, 20 Oct 2002 23:59:19 +0900

kinput2 (3.1-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Tue,  8 Oct 2002 22:24:10 +0900

kinput2 (3.0-19) unstable; urgency=low

  * Added French debconf templates (closes: Bug#137920).

 -- Keita Maehara <maehara@debian.org>  Wed,  3 Apr 2002 22:20:05 +0900

kinput2 (3.0-18) unstable; urgency=low

  * Now ccdef files are in /etc/kinput2 as conffiles (closes:
    Bug#99653).

 -- Keita Maehara <maehara@debian.org>  Sun, 23 Dec 2001 02:48:05 +0900

kinput2 (3.0-17) unstable; urgency=low

  * Maintainer release (closes: Bug#105064).

 -- Keita Maehara <maehara@debian.org>  Sat, 21 Jul 2001 22:24:14 +0900

kinput2 (3.0-16.1) unstable; urgency=low

  * NMU
  * debian/control: added build-dependency on libxaw7-dev | libxaw-dev
    (Closes: #105064)
  * lib/cconv.c: correct return types of malloc() and realloc()
  * lib/wnnlib.c: same fix

 -- Branden Robinson <branden@debian.org>  Wed, 18 Jul 2001 17:46:57 -0500

kinput2 (3.0-16) unstable; urgency=low

  * Now provides debconf-related files missing in the previous
    version.

 -- Keita Maehara <maehara@debian.org>  Wed, 18 Apr 2001 23:05:50 +0900

kinput2 (3.0-15) unstable; urgency=low

  * Modified WnnLibDir from /usr/lib/wnn to /usr/share/wnn to work with
    recent freewnn packages (>= 1.1.0+1.1.1-a017-4).
  * Now recommends xfonts-base instead of xfonts-cjk.
  * Miscellaneous updates.

 -- Keita Maehara <maehara@debian.org>  Sat, 14 Apr 2001 13:53:39 +0900

kinput2 (3.0-14) unstable; urgency=low

  * Fixed build-time dependency (closes Bug#86589).

 -- Keita Maehara <maehara@debian.org>  Tue, 20 Feb 2001 22:33:24 +0900

kinput2 (3.0-13) unstable; urgency=low

  * Rebuilt to move resource file to /etc/X11/app-defaults.

 -- Keita Maehara <maehara@debian.org>  Sat, 17 Feb 2001 11:50:16 +0900

kinput2 (3.0-12) unstable; urgency=low

  * The config script never edits any files by itself. Now it is done in
    postinst.

 -- Keita Maehara <maehara@debian.org>  Sat,  1 Jul 2000 19:06:51 +0900

kinput2 (3.0-11) unstable; urgency=low

  * Added system default keybindings selection support using debconf.
  * Moved menu entries from Apps/Text to Apps/Tools.

 -- Keita Maehara <maehara@debian.org>  Sat,  1 Jul 2000 01:22:17 +0900

kinput2 (3.0-10) unstable; urgency=low

  * Enabled workaround for buggy window managers by default.

 -- Keita Maehara <maehara@debian.org>  Wed, 14 Jun 2000 23:38:12 +0900

kinput2 (3.0-9) frozen unstable; urgency=low

  * Now kinput2-canna-wnn and kinput2-wnn depend on freewnn-common
    (closes: Bug#63755).
  * If JSERVER environment variable is not set, jserver host will be
    set to "localhost" (closes: Bug#63852).

 -- Keita Maehara <maehara@debian.org>  Wed, 10 May 2000 22:33:45 +0900

kinput2 (3.0-8) frozen unstable; urgency=low

  * Fixed wrong build-time dependency (hopefully closes: Bug#59374).

 -- Keita Maehara <maehara@debian.org>  Fri,  3 Mar 2000 00:57:19 +0900

kinput2 (3.0-7) frozen unstable; urgency=low

  * Recompiled with libwnn6.

 -- Keita Maehara <maehara@debian.org>  Sun, 23 Jan 2000 00:07:01 +0900

kinput2 (3.0-6) unstable; urgency=low

  * Removed /usr/X11R6/man/man1/kinput2.1x.gz from kinput2-common,
    since it is provided by update-alternatives (closes: Bug#51790).
  * Modified "Suggests: wnn" to "Suggests: freewnn-jserver | wnn6".
  * Minor package description updates.
  * Commented out unsuitable definition from Kinput2-Canna.conf of
    Debian source archive.

 -- Keita Maehara <maehara@debian.org>  Wed, 29 Dec 1999 14:51:07 +0900

kinput2 (3.0-5) unstable; urgency=low

  * Updated to Standards-Version 3.1.1.
  * Added "Build-Depends: debhelper, xlib6g-dev, libcanna1g-dev,
    wnn6-dev".

 -- Keita Maehara <maehara@debian.org>  Fri, 26 Nov 1999 00:21:54 +0900

kinput2 (3.0-4) unstable; urgency=low

  * Added "Recommends: xfonts-cjk" to kinput2-{canna,wnn,canna-wnn}
    (closes: Bug#47413).
  * Added "Suggests: canna" to kinput2-canna, "Suggests: wnn" to
    kinput2-wnn and "Suggests: canna, wnn" to kinput2-canna-wnn.

 -- Keita Maehara <maehara@debian.org>  Fri, 15 Oct 1999 01:30:10 +0900

kinput2 (3.0-3) unstable; urgency=low

  * Added manpages for kinput2-canna, kinput2-wnn and
    kinput2-canna-wnn to each packages (closes: Bug#45762).

 -- Keita Maehara <maehara@debian.org>  Mon,  4 Oct 1999 00:27:28 +0900

kinput2 (3.0-2) unstable; urgency=low

  * Updated to Standards-Version 3.0.0.

 -- Keita Maehara <maehara@debian.org>  Sat, 18 Sep 1999 23:48:50 +0900

kinput2 (3.0-1) unstable; urgency=low

  * Initial Release.

 -- Keita Maehara <maehara@debian.org>  Sun, 13 Jun 1999 00:29:49 +0900

Local variables:
mode: debian-changelog
End:
